Loading...
Searching...
No Matches
field_expr_v2_nonlinear_terminal_function_base_rep< T >

## Detailed Description

template<class T>
class rheolef::details::field_expr_v2_nonlinear_terminal_function_base_rep< T >

Definition at line 101 of file field_expr_terminal.h.

Inheritance diagram for field_expr_v2_nonlinear_terminal_function_base_rep< T >:

## Public Types

typedef geo_element::size_type | size_type
typedef rheo_default_memory_model | memory_type
typedef T | scalar_type
typedef T | float_type

## Public Member Functions

| field_expr_v2_nonlinear_terminal_function_base_rep ()
| field_expr_v2_nonlinear_terminal_function_base_rep (const field_expr_v2_nonlinear_terminal_function_base_rep< T > &)
void | initialize (const piola_on_pointset< float_type > &pops, const integrate_option &iopt)
void | initialize (const space_basic< float_type, memory_type > &Xh, const piola_on_pointset< float_type > &pops, const integrate_option &iopt)
template<class M >
const geo_element & | get_side (const geo_basic< float_type, M > &omega_K, const geo_element &K, const side_information_type &sid) const

## Protected Attributes

piola_on_pointset< float_type > | _pops

## Member Typedef Documentation

## size_type

template<class T >

typedef geo_element::size_type size_type

Definition at line 105 of file field_expr_terminal.h.

## memory_type

template<class T >

typedef rheo_default_memory_model memory_type

Definition at line 106 of file field_expr_terminal.h.

## scalar_type

template<class T >

typedef T scalar_type

Definition at line 107 of file field_expr_terminal.h.

## float_type

template<class T >

typedef T float_type

Definition at line 108 of file field_expr_terminal.h.

## Constructor & Destructor Documentation

## field_expr_v2_nonlinear_terminal_function_base_rep() [1/2]

template<class T >

field_expr_v2_nonlinear_terminal_function_base_rep | ( |  | ) |

Definition at line 46 of file field_expr_terminal.cc.

## field_expr_v2_nonlinear_terminal_function_base_rep() [2/2]

template<class T >

field_expr_v2_nonlinear_terminal_function_base_rep | ( | const field_expr_v2_nonlinear_terminal_function_base_rep< T > & | x | ) |

Definition at line 51 of file field_expr_terminal.cc.

## Member Function Documentation

## initialize() [1/2]

template<class T >

void initialize | ( | const piola_on_pointset< float_type > & | pops,
|  | const integrate_option & | iopt
| ) |  |

Definition at line 57 of file field_expr_terminal.cc.

## initialize() [2/2]

template<class T >

void initialize | ( | const space_basic< float_type, memory_type > & | Xh,
|  | const piola_on_pointset< float_type > & | pops,
|  | const integrate_option & | iopt
| ) |  |

Definition at line 65 of file field_expr_terminal.cc.

## get_side()

template<class T >
template<class M >

const geo_element & get_side | ( | const geo_basic< float_type, M > & | omega_K,
|  | const geo_element & | K,
|  | const side_information_type & | sid
| ) |  | const

Definition at line 103 of file field_expr_terminal.cc.

## Member Data Documentation

## _pops

template<class T >

piola_on_pointset<float_type> _pops

mutable protected

Definition at line 135 of file field_expr_terminal.h.

The documentation for this class was generated from the following files:

- /build/rheolef-dTNbRN/rheolef-7.2/main/lib/field_expr_terminal.h
- /build/rheolef-dTNbRN/rheolef-7.2/main/lib/field_expr_terminal.cc